<?php

// function curl by Iwan R. <iwan@jogjaweb.co.id>
function pps_curl_get_data( $url ) {
	$cookie_file = __DIR__ . '/cookies.txt';
	$ch = curl_init();
	curl_setopt( $ch, CURLOPT_URL, $url );
	if( file_exists( $cookie_file ) ) {
		curl_setopt( $ch, CURLOPT_COOKIEFILE, $cookie_file ); // request menggunakan cookies supaya tidak dianggap anonim
	} else {
		curl_setopt( $ch, CURLOPT_COOKIEJAR, $cookie_file ); // simpan cookie jika baru pertama
	}
	curl_setopt( $ch, CURLOPT_SSL_VERIFYPEER, false );
	curl_setopt( $ch, CURLOPT_RETURNTRANSFER, 1 );
	curl_setopt( $ch, CURLOPT_TIMEOUT, 15 );
	$contents = curl_exec( $ch );
	// $contents = curl_getinfo($ch);
	// $contents = curl_errno($ch);
	// $contents .= curl_error($ch);
	curl_close($ch);

	return $contents;
}

// function transient caching
function pps_get_kawalmudik_data( $endpoint ) {
	$api_url = 'https://kawalmudik.anakdesa.id/api';
	$endpoint_url = $api_url . '/' . $endpoint . '/';
	$transient = '_transient_' . md5( $endpoint_url );
	$arr_data = get_transient( $transient );
	if( !$arr_data ) {
		$arr_data = pps_curl_get_data( $endpoint_url );
		set_transient( $transient, $arr_data, HOUR_IN_SECONDS );
	}
	if( $arr_data ) $arr_data = json_decode( $arr_data );
	return $arr_data;
}

// function to display data

function pps_display_kawalmudik( $data = 'covid/kabupaten', $provinsi = null, $style = 'table', $class_wrap = '', $id_wrap = '', $credit_text = true, $credit_pps = true ) {
	wp_enqueue_style( 'ppskc-style' );
	$content = '';
	$data = ($data == 'global' || empty($data)) ? '' : $data;
	$credit_pps = ($credit_pps != false) ? ' <a href="https://puspindes.pemalangkab.go.id/kawal-mudik/" target="_blank" class="info-wrap"><span class="icon"></span><span class="text">Baca disini untuk pasang di Wordpress</span></a>' : '';
	$credit= '<p class="sumber_data">Sumber Data: Kabupaten Pemalang melalui API <a href="https://kawalmudik.anakdesa.id/" target="_blank">Kawal Mudik</a>.'.$credit_pps.'</p>';

	if($style='card' && $data='covid/kabupaten'){
		$data_arr_id = pps_get_kawalmudik_data( 'covid/kabupaten' );
		// var_dump($data_arr_id);
		$total_odp = str_replace(",","",$data_arr_id->odp_pemantauan+$data_arr_id->odp_selesai);
		$total_odp = number_format($total_odp, 0, ',', '.');
		$odp_pemantauan = str_replace(",","",$data_arr_id->odp_pemantauan);
		$odp_pemantauan = number_format($odp_pemantauan, 0, ',', '.');
		$odp_selesai = str_replace(",","",$data_arr_id->odp_selesai);
		$odp_selesai = number_format($odp_selesai, 0, ',', '.');

		$total_pdp = str_replace(",","",$data_arr_id->pdp_pengawasan+$data_arr_id->pdp_selesai+$data_arr_id->pdp_meninggal_negatif);
		$total_pdp = number_format($total_pdp, 0, ',', '.');
		$pdp_pengawasan = str_replace(",","",$data_arr_id->pdp_pengawasan);
		$pdp_pengawasan = number_format($pdp_pengawasan, 0, ',', '.');
		$pdp_selesai = str_replace(",","",$data_arr_id->pdp_selesai);
		$pdp_selesai = number_format($pdp_selesai, 0, ',', '.');
		$pdp_meninggal_negatif = str_replace(",","",$data_arr_id->pdp_meninggal_negatif);
		$pdp_meninggal_negatif = number_format($pdp_meninggal_negatif, 0, ',', '.');

		$total_positif = str_replace(",","",$data_arr_id->positif_dirawat+$data_arr_id->positif_sembuh+$data_arr_id->positif_meninggal);
		$total_positif = number_format($total_positif, 0, ',', '.');
		$positif_dirawat = str_replace(",","",$data_arr_id->positif_dirawat);
		$positif_dirawat = number_format($positif_dirawat, 0, ',', '.');
		$positif_sembuh = str_replace(",","",$data_arr_id->positif_sembuh);
		$positif_sembuh = number_format($positif_sembuh, 0, ',', '.');
		$positif_meninggal = str_replace(",","",$data_arr_id->positif_meninggal);
		$positif_meninggal = number_format($positif_meninggal, 0, ',', '.');

		$id_wrap = !empty($id_wrap) ? 'id="'.$id_wrap.'"' : '';

		$content = '
		<div '.$id_wrap.' class="'.$class_wrap.'">
			<div class="row">
				<div class="col-sm-12 col-md-6 col-lg-6 col-xl-4">
					<div class="card card-nav-tabs">
						<h4 class="card-header card-header-success text-center">Orang Dalam Pantauan (ODP)</h4>
						<div class="card-body">
							<h2 class="card-title text-center">'.$total_odp.'</h2>
							<p class="card-text text-center">Orang</p>
							<hr>
							<div class="row">
								<div class="col-6">
									<h3 class="card-title text-center">'.$odp_pemantauan.'</h3>
									<p class="card-text text-center">Pemantauan</p>
									
								</div>
								<div class="col-6">
									<h3 class="card-title text-center">'.$odp_selesai.'</h3>
									<p class="card-text text-center">Selesai</p>
									
								</div>
							</div>
						</div>
					</div>
				</div><!-- COL END -->
				<div class="col-sm-12 col-md-6 col-lg-6 col-xl-4">
					<div class="card card-nav-tabs">
						<h4 class="card-header card-header-warning text-center">Pasien Dalam Pengawasan (PDP)</h4>
						<div class="card-body">
							<h2 class="card-title text-center">'.$total_pdp.'</h2>
							<p class="card-text text-center">Orang</p>
							<hr>
							<div class="row">
								<div class="col-md-5">
									<h3 class="card-title text-center">'.$pdp_pengawasan.'</h3>
									<p class="card-text text-center">Pengawasan</p>
									
								</div>
								<div class="col-md-3">
									<h3 class="card-title text-center">'.$pdp_selesai.'</h3>
									<p class="card-text text-center">Selesai</p>
									
								</div>
								<div class="col-md-4">
									<h3 class="card-title text-center">'.$pdp_meninggal_negatif.'</h3>
									<p class="card-text text-center">Meninggal <b class="text-danger"> Negatif</b></p>
									
								</div>
							</div>
						</div>
					</div>
				</div><!-- COL END -->
				<div class="col-sm-12 col-md-6 col-lg-6 col-xl-4">
					<div class="card card-nav-tabs">
						<h4 class="card-header card-header-danger text-center">Kasus Positif COVID-19</h4>
						<div class="card-body">
							<h2 class="card-title text-center">'.$total_positif.'</h2>
							<p class="card-text text-center">Orang</p>
							<hr>
							<div class="row">
								<div class="col-md-4">
									<h3 class="card-title text-center">'.$positif_dirawat.'</h3>
									<p class="card-text text-center">Dirawat</p>
								</div>
								<div class="col-md-4">
									<h3 class="card-title text-center">'.$positif_sembuh.'</h3>
									<p class="card-text text-center">Sembuh</p>
								</div>
								<div class="col-md-4">
									<h3 class="card-title text-center">'.$positif_meninggal.'</h3>
									<p class="card-text text-center">Meninggal</p>
								</div>
							</div>
						</div>
					</div>
				</div><!-- COL END -->';
				if($credit_text == true){ $content .= '<div class="col text-center">'.$credit.'</div>'; }
			$content .= '</div>
		</div>
		';
	} else {
		$content = 'Data tidak ada';
	}

	return $content;
}
