<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.

/**
	* Plugin Name: Kawal Mudik WP
	* Plugin URI: https://puspindes.pemalangkab.go.id/plugins
	* Author: Kode Nusantara
	* Author URI: https://kodenusantara.co.id
	* Version: 1.05.04.20
	* Description: Kawal Mudik adalah sebuah website yang memberikan informasi data live untuk monitoring update terbaru kasus virus Corona Covid-19 & pemudik di Kabupaten Pemalang. Plugin sederhana ini berguna untuk membantu bagi yang ingin memasang data statistik kasus tersebut di website berbasis Wordpress masing-masing.
	* License: GPLv2 or later
	* License URI: http://www.gnu.org/licenses/gpl-2.0.txt
	* Text Domain: kawal-mudik
	*/

defined('ABSPATH') or die("Restricted access!");

/**
 * Define constants
 *
 * @since 1.00.02
 */
defined('PPSKC_DIR') or define('PPSKC_DIR', dirname(plugin_basename(__FILE__))); //Folder Name
defined('PPSGKCBASE') or define('PPSGKCBASE', plugin_basename(__FILE__));
defined('PPSKC_URL') or define('PPSKC_URL', plugin_dir_url(__FILE__));
defined('PPSGKCPATH') or define('PPSGKCPATH', plugin_dir_path(__FILE__));

// Enqueue script and call when shortcode called
function ppskc_enqueue()
{
	wp_register_style( 'ppskc-style', PPSKC_URL . 'assets/css/style.css' );
}
add_action( 'wp_enqueue_scripts', 'ppskc_enqueue' );

// Load file on plugins loaded
function pps_kawal_mudik_on_loaded()
{
	// load file with functions
	$controller_script = [
		'kawalmudik',
		'shortcodes'
	];
	foreach( $controller_script as $cs ) {
		require_once __DIR__ . '/includes/' . $cs . '.php';
	}
}
add_action( 'plugins_loaded', 'pps_kawal_mudik_on_loaded' );
